JmolStateCreator
Date: 2019-10-22

org.jmol.viewer

## Class JmolStateCreator

- java.lang.Object
- - org.jmol.viewer.JmolStateCreator

- Direct Known Subclasses:
    StateCreator

      public abstract class JmolStateCreator
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JmolStateCreator()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) abstract java.lang.String` | `getAllSettings(java.lang.String prefix)`
    `(package private) abstract java.lang.String` | `getAtomicPropertyState(int taintCoord, javajs.util.BS bsSelected)`
    `(package private) abstract void` | `getAtomicPropertyStateBuffer(javajs.util.SB commands, int type, javajs.util.BS bs, java.lang.String name, float[] data)`
    `abstract java.lang.String` | `getAtomShapeState(AtomShape shape)`
    `(package private) abstract java.lang.String` | `getCommands(java.util.Map<java.lang.String,javajs.util.BS> htDefine, java.util.Map<java.lang.String,javajs.util.BS> htMore, java.lang.String select)`
    `(package private) abstract java.lang.String` | `getFunctionCalls(java.lang.String selectedFunction)`
    `(package private) abstract void` | `getInlineData(javajs.util.SB loadScript, java.lang.String strModel, boolean isAppend, java.lang.String defaultLoadFilter)`
    `(package private) abstract java.lang.String` | `getLightingState(boolean isAll)`
    `(package private) abstract java.lang.String` | `getModelState(javajs.util.SB sfunc, boolean isAll, boolean withProteinStructure)`
    `(package private) abstract java.lang.String` | `getSpinState(boolean b)`
    `(package private) abstract java.lang.String` | `getStateScript(java.lang.String type, int width, int height)`
    `(package private) abstract void` | `mouseScript(java.lang.String script)`
    `(package private) abstract void` | `setViewer(Viewer vwr)`
    `(package private) abstract void` | `syncScript(java.lang.String script, java.lang.String applet, int port)`
    `(package private) abstract void` | `undoMoveAction(int action, int n)`
    `(package private) abstract void` | `undoMoveActionClear(int taintedAtom, int type, boolean clearRedo)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JmolStateCreator

          public JmolStateCreator()

  - ### Method Detail

    - #### setViewer

          abstract void setViewer(Viewer vwr)

    - #### getStateScript

          abstract java.lang.String getStateScript(java.lang.String type,
                                                   int width,
                                                   int height)

    - #### getSpinState

          abstract java.lang.String getSpinState(boolean b)

    - #### getLightingState

          abstract java.lang.String getLightingState(boolean isAll)

    - #### getModelState

          abstract java.lang.String getModelState(javajs.util.SB sfunc,
                                                  boolean isAll,
                                                  boolean withProteinStructure)

    - #### getCommands

          abstract java.lang.String getCommands(java.util.Map<java.lang.String,javajs.util.BS> htDefine,
                                                java.util.Map<java.lang.String,javajs.util.BS> htMore,
                                                java.lang.String select)

    - #### getAllSettings

          abstract java.lang.String getAllSettings(java.lang.String prefix)

    - #### getFunctionCalls

          abstract java.lang.String getFunctionCalls(java.lang.String selectedFunction)

    - #### getAtomicPropertyState

          abstract java.lang.String getAtomicPropertyState(int taintCoord,
                                                           javajs.util.BS bsSelected)

    - #### getAtomicPropertyStateBuffer

          abstract void getAtomicPropertyStateBuffer(javajs.util.SB commands,
                                                     int type,
                                                     javajs.util.BS bs,
                                                     java.lang.String name,
                                                     float[] data)

    - #### undoMoveAction

          abstract void undoMoveAction(int action,
                                       int n)

    - #### undoMoveActionClear

          abstract void undoMoveActionClear(int taintedAtom,
                                            int type,
                                            boolean clearRedo)

    - #### syncScript

          abstract void syncScript(java.lang.String script,
                                   java.lang.String applet,
                                   int port)

    - #### mouseScript

          abstract void mouseScript(java.lang.String script)

    - #### getInlineData

          abstract void getInlineData(javajs.util.SB loadScript,
                                      java.lang.String strModel,
                                      boolean isAppend,
                                      java.lang.String defaultLoadFilter)

    - #### getAtomShapeState

          public abstract java.lang.String getAtomShapeState(AtomShape shape)